INTERFACE
SUBROUTINE GPXYBAD(KPROMA,KSTART,KPROF,KFLEV,PVDELB,PVC,&
 & PRES,PDELP,PRDELP,PLNPR,PALPH,PRTGR,&
 & PRPRE,PRPP,&
 & PRES5,PDELP5,PRDELP5,PLNPR5,PRPRE5,PRPP5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PVDELB(KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVC(KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRES(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRPRE(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRPP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES5(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRE5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPP5(KPROMA,KFLEV)
END SUBROUTINE GPXYBAD
END INTERFACE
